[plt-scheme] Backwards compatibility?

From: Mark Engelberg (mark.engelberg at gmail.com)
Date: Thu May 24 20:56:33 EDT 2007

I can't open any of my old scheme files in the new version.  I get
messages like:

Unknown snip class or version: "test-case-box%" version 2.

 === context ===
c:\program files\plt\collects\mred\private\editor.ss:160:35
c:\program files\plt\collects\mred\private\editor.ss:155:29
c:\program files\plt\collects\drscheme\private\unit.ss:1554:10:
change-to-file method in ...heme/private/unit.ss:1146:8
c:\program files\plt\collects\drscheme\private\unit.ss:3560:9
c:\program files\plt\collects\mred\private\mrmenu.ss:237:17: command
method in basic-selectable-menu-item%

I assume from the error message that this is related to the test
boxes.  Is there a way to make my existing code work, or do I have to
keep an old version of Scheme around on my system to open those files?



Posted on the users mailing list.